

Hi,

The following patchlet to videodev2.h brings in the "__user" definition
from linux/compiler.h, making it suitable for inclusion in both kernel
or user code.

Stelian.

Signed-off-by: Stelian Pop <stelian@popies.net>

===== include/linux/videodev2.h 1.8 vs edited =====
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/videodev2.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/linux/videodev2.h~videodev2h-patchlet include/linux/videodev2.h
--- 25/include/linux/videodev2.h~videodev2h-patchlet	Thu Nov  4 15:05:03 2004
+++ 25-akpm/include/linux/videodev2.h	Thu Nov  4 15:05:03 2004
@@ -16,6 +16,7 @@
 #ifdef __KERNEL__
 #include <linux/time.h> /* need struct timeval */
 #endif
+#include <linux/compiler.h> /* need __user */
 
 /*
  *	M I S C E L L A N E O U S
_
